Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.components
Class JPropertiesTable.PropertyDescriptor

    java.lang.Object
      com.eviware.soapui.support.components.JPropertiesTable.PropertyDescriptor

Enclosing class:
  JPropertiesTable<T>

    public static class JPropertiesTable.PropertyDescriptor

extends java.lang.Object

Constructor Summary
`JPropertiesTable.PropertyDescriptor(java.lang.String caption, java.lang.String name, boolean editable, JPropertiesTable.PropertyFormatter formatter)`
`JPropertiesTable.PropertyDescriptor(java.lang.String caption, java.lang.String name, java.lang.Object[] options)`

Method Summary
`java.lang.String` | `getCaption()`
`javax.swing.table.TableCellEditor` | `getCellEditor()`
`JPropertiesTable.PropertyFormatter` | `getFormatter()`
`java.lang.String` | `getName()`
`java.lang.Object[]` | `getOptions()`
`boolean` | `hasOptions()`
`boolean` | `isEditable()`
`void` | `setFormatter(JPropertiesTable.PropertyFormatter formatter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPropertiesTable.PropertyDescriptor

    public JPropertiesTable.PropertyDescriptor(java.lang.String caption,
                                               java.lang.String name,
                                               boolean editable,
                                               JPropertiesTable.PropertyFormatter formatter)

### JPropertiesTable.PropertyDescriptor

    public JPropertiesTable.PropertyDescriptor(java.lang.String caption,
                                               java.lang.String name,
                                               java.lang.Object[] options)

Method Detail

### setFormatter

    public void setFormatter(JPropertiesTable.PropertyFormatter formatter)

### getFormatter

    public JPropertiesTable.PropertyFormatter getFormatter()

### getCaption

    public java.lang.String getCaption()

### isEditable

    public boolean isEditable()

### getOptions

    public java.lang.Object[] getOptions()

### hasOptions

    public boolean hasOptions()

### getName

    public java.lang.String getName()

### getCellEditor

    public javax.swing.table.TableCellEditor getCellEditor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.